New Relic CLI
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update New Relic CLI action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Run New Relic CLI",
"type": "NEW_RELIC_CLI",
"trigger_time": "ON_EVERY_EXECUTION",
"setup_commands": [
"apt-get update && apt-get -y install git"
],
"execute_commands": [
"newrelic entity deployment create"
],
"shell": "SH",
"integration": {
"identifier": "newrelic"
}
}'STATUS200 OK